# Get Reservation by Tracking Number

This API operation retrieves the reservation details for a specific parcel using its tracking number within the specified locker bank.

Endpoint: GET /api/v1/lockerBanks/{lockerBankId}/lockers/reserved/{trackingNumber}
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `lockerBankId` (string, required)
    The unique identifier of the locker bank from which the reservation information must be retrieved.

  - `trackingNumber` (string, required)
    The tracking number of the parcel whose reservation details are being requested.

## Query parameters:

  - `isTrackNumUrlEncoded` (boolean)
    Indicates whether the tracking number provided in the request is URL encoded.

  - `includeAllParcels` (boolean)
    When set to true, the response includes all tracking numbers currently assigned to the locker unit.

## Response 200 fields (application/json):

  - `lockerBankId` (string)
    The unique identifier for the locker bank.
    Example: AOne

  - `lockerUnitId` (string)
    The unique identifier of the reserved locker unit.
    Example: 2

  - `size` (string)
    The size of the reserved locker unit.
    Example: small

  - `accessible` (boolean)
    Indicates whether the reserved locker unit is accessible for individuals with disabilities.
    Example: true

  - `unitInService` (boolean)
    Indicates whether the reserved locker unit is currently operational.
    Example: true

  - `unitReserved` (boolean)
    Indicates whether the locker unit is currently reserved for a parcel.
    Example: true

  - `unitOccupied` (boolean)
    Indicates whether one or more parcels have been deposited in the locker unit.
    Example: true

  - `parcelsReserved` (array)
    The parcels that have been reserved for this locker unit but are not yet deposited.

  - `parcelsReserved.trackingNumber` (string)
    The primary identifier of a package, usually a carrier's tracking number.
    Example: 26112025_6

  - `parcelsReserved.secondaryTrackingNumber` (string)
    A secondary identifier for a package, can be generated internally.
    Example: TRACK-1234

  - `parcelsDeposited` (array)
    The parcels that have already been deposited in the locker unit and are awaiting pickup

  - `contactId` (string)
    The identifier of the contact (recipient or department) associated with the reservation.
    Example: 684a6b7bbc85e1bce739xxxx

  - `contactType` (string)
    This is an enumerated value that tells you where the contact code is coming from
    Enum: "recipient", "department"

  - `contactName` (string)
    The name of the contact associated with the reservation.
    Example: User Name

  - `reservationTime` (string)
    The timestamp indicating when the reservation was created.
    Example: 2025-11-12T16:13:06Z

  - `reservationExpiryTime` (string)
    The timestamp when the reservation for the locker unit is scheduled to expire. Once reservation is expired, the locker unit becomes available for new reservations.
    Example: 2025-12-19T09:59:00Z

  - `transactionType` (string)
    This indicates the nature of the transaction, such as whether it was a delivery or a return.
    Example: deliver

  - `depositorContactId` (string)
    The identifier of the person or contact in the address book who will deposit the returned package or asset into the locker.
    Example: 684a6b7bbc85e1bxxxxxxxxx

  - `depositorContactType` (string)
    This is an enumerated value that tells you where the contact code is coming from.
    Enum: "recipient", "department"

  - `depositTime` (string)
    The timestamp when the parcel was deposited into the locker unit, returns only if the unit is occupied.
    Example: 2025-11-17T14:28:37Z

  - `depositExpiryTime` (string)
    The timestamp when the deposited parcel is scheduled to expire.
    Example: 2025-11-30T14:28:37Z

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.
    Example: The request could not be completed.

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due HTTP 404 Page or File not found.
    Example: not_found

  - `errorDescription` (string)
    HTTP 404 Not Found response status code indicates that the server cannot find the requested resource.
    Example: resource not found

  - `additionalCode` (string)
    A unique identifier for the error, for example 0100025, 1110017, or 1090001.
    Example: 0100025

  - `additionalInfo` (string)
    The additional information about the error. This error 'Not Found' might appear due to `Shipment Not Found`, `No Shipments to close`, or `Original Transaction not found`.
    Example: Resource not found

  - `additionalParameters` (array)

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
    Example: The request could not be completed.

